Skip to main content
GET
/
customers
/
{customerId}
/
hedges
cURL
curl --request GET \
  --url https://api.grainfinance.co/v1/customers/{customerId}/hedges \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.grainfinance.co/v1/customers/{customerId}/hedges"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.grainfinance.co/v1/customers/{customerId}/hedges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hedges": [
    {
      "id": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
      "customerId": "1b0ada1e-fa1b-4cfe-a553-01b340c5650e",
      "status": "Active",
      "transactionId": "4d78ac65-2c3f-47e2-8bf3-3f76124e9d27",
      "externalTransactionId": "780231b3ae0d7e9e5097nd89",
      "fromCurrency": "MXN",
      "toCurrency": "USD",
      "externalCustomerId": "630231b3ae0d7e9e5097ad35",
      "toCurrencyAmount": 1560,
      "fromCurrencyAmount": 32161.8,
      "fixedSide": "toCurrencyAmount",
      "initialCollateralAmount": 1608.09,
      "quote": 20.6165,
      "externalMarkupPct": 1,
      "acceptedAtTs": 1659625088,
      "issuedAt": "2023-01-18",
      "endAt": "2023-02-23",
      "updatedAt": "2023-02-23",
      "cancelledAt": "2023-02-23",
      "initialCollateralReceivedAt": "2023-01-20",
      "fundsReceivedAt": "2023-02-23",
      "completedAt": "2023-02-23",
      "completedAtTs": 1659625090,
      "overdueAt": "2023-02-23",
      "settlementAt": "2023-02-23",
      "settlementType": "full",
      "adjustedMtmChangePct": 1.25,
      "adjustedMtmChangeTs": 1674057600
    }
  ],
  "pagination": {
    "page": 2,
    "perPage": 50.5,
    "totalResults": 123
  }
}
{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}

Authorizations

Authorization
string
header
required

Basic authentication using the partner API keys from https://console.grainfinance.co/keys

Path Parameters

customerId
string
required

The id of the customer within the Grain platform.

Query Parameters

page
number<double>

page number indicating which set of items to return The page indicating which set of items are returned

Required range: x >= 1
per_page
number<double>

number of items in a page

Required range: 1 <= x <= 100

Response

Hedges List for Customer

A response containing a list of hedges matching the search criteria.

hedges
object[]
required

A list of hedges matching the search criteria.

Hedge objects represent transactions which are currently hedged.

pagination
object
required

Pagination parameters of the returned results.